ig.module('game.entities.ledge')
.requires('impact.entity')
.defines(function() {
    "use strict"
    ig.global.EntityLedge = ig.Entity.extend({
        animSheet: new ig.AnimationSheet(IMG.PREFIX + 'ledge.png', IMG.SIZE(500), IMG.SIZE(30)),
        gravityFactor: 0,
        size: {x: IMG.SIZE(500), y:IMG.SIZE(30)},
        offset:{x:0, y:IMG.SIZE(30)},
        maxVel: {x:0, y:500},
        zIndex: 4,
        init: function(x,y,settings) {
            this.addAnim('idle', 0.1, [0]);
            this.parent(x,y,settings);        
        }                
    });
});
